namespace Unibas.Questionari.Test {

using NUnit.Framework;  
using Unibas.Questionari.Modello;
using Unibas.Questionari.Persistenza;
    
[TestFixture]
public class TestDAORisposte {
    
    private Risposte risposte1;
    private Risposte risposte2;
    private string nomeFileR1 = Utilita.nomeFileR1;
    private string nomeFileR2 = Utilita.nomeFileR2;
    
    [SetUp]
    protected void SetUp() {
        risposte1 = Utilita.CreaRisposte1();
        risposte2 = Utilita.CreaRisposte2();
    }
    
    [Test]
    public void TestSalvaRisposte1() {
        try {
            DAORisposte.SalvaRisposte(risposte1, nomeFileR1);
        } catch (System.Exception e) {
            System.Console.WriteLine(e);
            Assert.Fail();
        }
    }
    
    [Test]
    public void TestSalvaRisposte2() {
        try {
            DAORisposte.SalvaRisposte(risposte2, nomeFileR2);
        } catch (System.Exception e) {
            System.Console.WriteLine(e);
            Assert.Fail();
        }
    }
    
    // NOTA: questi test sono incompleti; sarebbe necessario utilizzare l'operazione di
    // caricamento (se fosse stata implementata) per verificare il corretto salvataggio
}

}
