namespace Unibas.Questionari.Test {

using NUnit.Framework;	
using Unibas.Questionari.Modello;
	
[TestFixture]
public class TestRisposte {
    
    private Risposte risposte1;
    private Risposte risposte2;
    
    [SetUp]
    protected void SetUp() {
        risposte1 = Utilita.CreaRisposte1();
        risposte2 = Utilita.CreaRisposte2();
        System.Diagnostics.DefaultTraceListener listener 
            = (System.Diagnostics.DefaultTraceListener)System.Diagnostics.Debug.Listeners[0];
        listener.AssertUiEnabled = false;
    }
    
    [Test]
    public void TestRisposte1() {
        Assert.IsTrue(risposte1.NumeroRisposte == 5, "numero risposte");
        Assert.IsTrue(risposte1[0].Equals("a"), "risposta 0" + risposte1[0]);
        Assert.IsTrue(risposte1[3].Equals(""), "risposta 3");
        try {
            System.Console.WriteLine(risposte1[5]);
            Assert.Fail();
        } catch (System.Exception e) {
            Assert.IsTrue(e != null, "risposta 5");
        }
    }
    
    [Test]
    public void TestRisposte2() {
        Assert.IsTrue(risposte2.NumeroRisposte == 1, "numero risposte");
        Assert.IsTrue(risposte2[0].Equals("d"), "risposta 0" + risposte2[0]);
        try {
            System.Console.WriteLine(risposte2[1]);
            Assert.Fail();
        } catch (System.Exception e) {
            Assert.IsTrue(e != null, "risposta 1");
        }
    }

}

}
